:root {
    /* colors */
    --background: #f4f6f3;
    --header-footer: #7a9486;
    --text-primary: #28312b;
    --text-secondary: #5f6f65;
    --text-muted: #8a9e91;
    --text-pop: #669276;
    --text-good: #537761;
    --text-bad: #976460;
    --accent-primary: #9caf88;
    --accent-secondary: #c9d6c1;
    --accent-bright: #ddc69a;
    --accent-warm: #c2a878;
    --accent-stone: #887a60;
    --accent-hover: #b2c0a3;
    --border: #a8b89e;
    --highlight: #7a9486;
    --media-slider-background: #dae0dd;

    /* fonts */
    --font-body: "Merriweather", serif;
}

body {
    display: flex;
    flex-direction: column;
    background-color: var(--background);
    font-family: var(--font-body);
}

/* header */
header {
    position: sticky;
    top: 0;
    z-index: 1000;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 1.5rem 2.5rem;
    background-color: var(--header-footer);
    color: var(--text-primary);
}

header h1 a {
    font-size: 150%;
    text-decoration: none;
    color: var(--text-primary);
}

header nav {
    display: flex;
    background-color: var(--accent-secondary);
    border-radius: .5rem;
    padding: .3rem .5rem;
    gap: .3rem;
}

header nav a {
    font-size: 85%;
    text-decoration: none;
    color: var(--text-primary);
    padding: .5rem .7rem;
    border-radius: .5rem;
    transition:
        background-color 0.2s ease,
        color 0.2s ease,
        transform 0.15s ease;
}

header nav a:hover {
    background-color: var(--accent-hover);
}

header nav a.active {
    background-color: var(--accent-primary);
}

/* main styling */
main {
    padding: 2rem 2.5rem 1rem;
    line-height: 1.3;
    color: var(--text-primary);
}

main h3,
main p {
    margin-bottom: 1em;
}

main .page-title {
    font-size: 200%;
    margin-bottom: 1rem;
}

main h2 {
    font-size: 150%;
}

main h3 {
    font-size: 130%;
}

main p {
    font-size: 110%;
}

main p.note {
    font-size: 80%;
}

main ul {
    list-style-position: inside;
}

/* footer */
footer {
    display: flex;
    justify-content: left;
    align-items: center;
    padding: 2rem;
    background-color: var(--header-footer);
    line-height: 1.3;
}

footer h2,
footer h3, 
footer h4,
footer p {
    margin-top: 1rem;
}

footer h3 {
    font-size: 130%;
}

footer ul {
    display: flex;
    gap: 2rem;
    list-style: none;
}

footer ul a {
    text-decoration: none;
    color: var(--text-primary);
    opacity: 0.85;
}

footer ul a:hover {
    opacity: 1;
    text-decoration: underline;
}

.crisis-and-suicide-support,
.mental-health-support,
.addiction-and-substance-support,
.behavioral-and-compulsive-support {
    line-height: 1.5;
}

footer hr {
    border-color: var(--text-primary);
}

.copyright {
    display: flex;
    justify-content: center;
    align-items: center;
    margin-top: 1rem;
    padding: 0;
}

.copyright ul {
    display: flex;
    align-items: center;
}

.copyright a {
    font-size: 200%;
}

/* mobile */
@media (max-width: 1020px) {

    /* header */
    header {
        flex-direction: column;
        padding: 1rem;
        font-size: 70%;
    }

    header h1 {
        display: flex;
        justify-content: center;
        align-items: center;
        padding: 0 0 1rem 0;
    }

    header nav {
        justify-content: center;
        align-items: center;
        padding: .5rem;
        gap: 1rem;
    }

    header nav a {
        padding: .5rem 1rem;
        background-color: var(--accent-hover);
    }

    header nav a:hover {
        text-decoration: none;
    }

    /* main styling */
    main {
        padding: 1.5rem 1rem;
    }

    main h1 {
        line-height: 1;
        font-size: 200%;
    }

    main p {
        line-height: 1.3;
        font-size: 80%;
    }

    main p.note {
        font-size: 55%;
    }

    .explicit-tag {
        padding: 1px 2.5px;
    }
}